#ifndef _FONT_6X8_H_
#define _FONT_6X8_H_

/* $Id: font_6x8.h,v 1.2 2005-02-26 09:14:28 canadacow Exp $
 *
 * 6x8 font
 *
 * Copyright (C) 1999, 2000, 2004 Michael Reinelt <reinelt@eunet.at>
 * Copyright (C) 2004 The LCD4Linux Team <lcd4linux-devel@users.sourceforge.net>
 *
 * This file is part of LCD4Linux.
 *
 * LCD4Linux is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * LCD4Linux is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Revision 2.0  2021-10-31 17:32:28  sergm
 * New aux character, completed authentic LCD display.
 *
 * Revision 1.2  2005-02-26 09:14:28  canadacow
 * Authentic LCD display and other misc changes
 *
 * Revision 1.1  2005/02/26 09:13:47  canadacow
 * Authentic LCD display and other misc changes
 *
 * Revision 1.2  2005/01/18 06:30:23  reinelt
 * added (C) to all copyright statements
 *
 * Revision 1.1  2004/02/15 21:43:43  reinelt
 * T6963 driver nearly finished
 * framework for graphic displays done
 * i2c_sensors patch from Xavier
 * some more old generation files removed
 *
 */

#define ______ 0x00
#define _____O 0x01
#define ____O_ 0x02
#define ____OO 0x03
#define ___O__ 0x04
#define ___O_O 0x05
#define ___OO_ 0x06
#define ___OOO 0x07
#define __O___ 0x08
#define __O__O 0x09
#define __O_O_ 0x0a
#define __O_OO 0x0b
#define __OO__ 0x0c
#define __OO_O 0x0d
#define __OOO_ 0x0e
#define __OOOO 0x0f
#define _O____ 0x10
#define _O___O 0x11
#define _O__O_ 0x12
#define _O__OO 0x13
#define _O_O__ 0x14
#define _O_O_O 0x15
#define _O_OO_ 0x16
#define _O_OOO 0x17
#define _OO___ 0x18
#define _OO__O 0x19
#define _OO_O_ 0x1a
#define _OO_OO 0x1b
#define _OOO__ 0x1c
#define _OOO_O 0x1d
#define _OOOO_ 0x1e
#define _OOOOO 0x1f

unsigned char Font_6x8[97][8]={
	 { ______,
	   ______,
	   ______,
	   ______,
	   ______,
	   ______,
	   ______,
	   ______ },
	 { ___O__,
	   ___O__,
	   ___O__,
	   ___O__,
	   ______,
	   ______,
	   ___O__,
	   ______ },
	 { __O_O_,
	   __O_O_,
	   __O_O_,
	   ______,
	   ______,
	   ______,
	   ______,
	   ______ },
	 { __O_O_,
	   __O_O_,
	   _OOOOO,
	   __O_O_,
	   _OOOOO,
	   __O_O_,
	   __O_O_,
	   ______ },
	 { ___O__,
	   __OOOO,
	   _O_O__,
	   __OOO_,
	   ___O_O,
	   _OOOO_,
	   ___O__,
	   ______ },
	 { _OO___,
	   _OO__O,
	   ____O_,
	   ___O__,
	   __O___,
	   _O__OO,
	   ____OO,
	   ______ },
	 { __OO__,
	   _O__O_,
	   _O_O__,
	   __O___,
	   _O_O_O,
	   _O__O_,
	   __OO_O,
	   ______ },
	 { __OO__,
	   ___O__,
	   __O___,
	   ______,
	   ______,
	   ______,
	   ______,
	   ______ },
	 { ____O_,
	   ___O__,
	   __O___,
	   __O___,
	   __O___,
	   ___O__,
	   ____O_,
	   ______ },
	 { __O___,
	   ___O__,
	   ____O_,
	   ____O_,
	   ____O_,
	   ___O__,
	   __O___,
	   ______ },
	 { ______,
	   ___O__,
	   _O_O_O,
	   __OOO_,
	   _O_O_O,
	   ___O__,
	   ______,
	   ______ },
	 { ______,
	   ___O__,
	   ___O__,
	   _OOOOO,
	   ___O__,
	   ___O__,
	   ______,
	   ______ },
	 { ______,
	   ______,
	   ______,
	   ______,
	   __OO__,
	   ___O__,
	   __O___,
	   ______ },
	 { ______,
	   ______,
	   ______,
	   _OOOOO,
	   ______,
	   ______,
	   ______,
	   ______ },
	 { ______,
	   ______,
	   ______,
	   ______,
	   ______,
	   __OO__,
	   __OO__,
	   ______ },
	 { ______,
	   _____O,
	   ____O_,
	   ___O__,
	   __O___,
	   _O____,
	   ______,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _O__OO,
	   _O_O_O,
	   _OO__O,
	   _O___O,
	   __OOO_,
	   ______ },
	 { ___O__,
	   __OO__,
	   ___O__,
	   ___O__,
	   ___O__,
	   ___O__,
	   __OOO_,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _____O,
	   ____O_,
	   ___O__,
	   __O___,
	   _OOOOO,
	   ______ },
	 { _OOOOO,
	   ____O_,
	   ___O__,
	   ____O_,
	   _____O,
	   _O___O,
	   __OOO_,
	   ______ },
	 { ____O_,
	   ___OO_,
	   __O_O_,
	   _O__O_,
	   _OOOOO,
	   ____O_,
	   ____O_,
	   ______ },
	 { _OOOOO,
	   _O____,
	   _OOOO_,
	   _____O,
	   _____O,
	   _O___O,
	   __OOO_,
	   ______ },
	 { ___OO_,
	   __O___,
	   _O____,
	   _OOOO_,
	   _O___O,
	   _O___O,
	   __OOO_,
	   ______ },
	 { _OOOOO,
	   _____O,
	   ____O_,
	   ___O__,
	   __O___,
	   __O___,
	   __O___,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _O___O,
	   __OOO_,
	   _O___O,
	   _O___O,
	   __OOO_,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _O___O,
	   __OOOO,
	   _____O,
	   ____O_,
	   __OO__,
	   ______ },
	 { ______,
	   __OO__,
	   __OO__,
	   ______,
	   __OO__,
	   __OO__,
	   ______,
	   ______ },
	 { ______,
	   __OO__,
	   __OO__,
	   ______,
	   __OO__,
	   ___O__,
	   __O___,
	   ______ },
	 { ____O_,
	   ___O__,
	   __O___,
	   _O____,
	   __O___,
	   ___O__,
	   ____O_,
	   ______ },
	 { ______,
	   ______,
	   _OOOOO,
	   ______,
	   _OOOOO,
	   ______,
	   ______,
	   ______ },
	 { __O___,
	   ___O__,
	   ____O_,
	   _____O,
	   ____O_,
	   ___O__,
	   __O___,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _____O,
	   ____O_,
	   ___O__,
	   ______,
	   ___O__,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _O_OOO,
	   _O_O_O,
	   _O_OOO,
	   _O____,
	   __OOO_,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _O___O,
	   _O___O,
	   _OOOOO,
	   _O___O,
	   _O___O,
	   ______ },
	 { _OOOO_,
	   _O___O,
	   _O___O,
	   _OOOO_,
	   _O___O,
	   _O___O,
	   _OOOO_,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _O____,
	   _O____,
	   _O____,
	   _O___O,
	   __OOO_,
	   ______ },
	 { _OOO__,
	   _O__O_,
	   _O___O,
	   _O___O,
	   _O___O,
	   _O__O_,
	   _OOO__,
	   ______ },
	 { _OOOOO,
	   _O____,
	   _O____,
	   _OOOO_,
	   _O____,
	   _O____,
	   _OOOOO,
	   ______ },
	 { _OOOOO,
	   _O____,
	   _O____,
	   _OOOO_,
	   _O____,
	   _O____,
	   _O____,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _O____,
	   _O_OOO,
	   _O___O,
	   _O___O,
	   __OOOO,
	   ______ },
	 { _O___O,
	   _O___O,
	   _O___O,
	   _OOOOO,
	   _O___O,
	   _O___O,
	   _O___O,
	   ______ },
	 { __OOO_,
	   ___O__,
	   ___O__,
	   ___O__,
	   ___O__,
	   ___O__,
	   __OOO_,
	   ______ },
	 { ___OOO,
	   ____O_,
	   ____O_,
	   ____O_,
	   ____O_,
	   _O__O_,
	   __OO__,
	   ______ },
	 { _O___O,
	   _O__O_,
	   _O_O__,
	   _OO___,
	   _O_O__,
	   _O__O_,
	   _O___O,
	   ______ },
	 { _O____,
	   _O____,
	   _O____,
	   _O____,
	   _O____,
	   _O____,
	   _OOOOO,
	   ______ },
	 { _O___O,
	   _OO_OO,
	   _O_O_O,
	   _O_O_O,
	   _O___O,
	   _O___O,
	   _O___O,
	   ______ },
	 { _O___O,
	   _O___O,
	   _OO__O,
	   _O_O_O,
	   _O__OO,
	   _O___O,
	   _O___O,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _O___O,
	   _O___O,
	   _O___O,
	   _O___O,
	   __OOO_,
	   ______ },
	 { _OOOO_,
	   _O___O,
	   _O___O,
	   _OOOO_,
	   _O____,
	   _O____,
	   _O____,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _O___O,
	   _O___O,
	   _O_O_O,
	   _O__O_,
	   __OO_O,
	   ______ },
	 { _OOOO_,
	   _O___O,
	   _O___O,
	   _OOOO_,
	   _O_O__,
	   _O__O_,
	   _O___O,
	   ______ },
	 { __OOO_,
	   _O___O,
	   _O____,
	   __OOO_,
	   _____O,
	   _O___O,
	   __OOO_,
	   ______ },
	 { _OOOOO,
	   ___O__,
	   ___O__,
	   ___O__,
	   ___O__,
	   ___O__,
	   ___O__,
	   ______ },
	 { _O___O,
	   _O___O,
	   _O___O,
	   _O___O,
	   _O___O,
	   _O___O,
	   __OOO_,
	   ______ },
	 { _O___O,
	   _O___O,
	   _O___O,
	   _O___O,
	   _O___O,
	   __O_O_,
	   ___O__,
	   ______ },
	 { _O___O,
	   _O___O,
	   _O___O,
	   _O_O_O,
	   _O_O_O,
	   _O_O_O,
	   __O_O_,
	   ______ },
	 { _O___O,
	   _O___O,
	   __O_O_,
	   ___O__,
	   __O_O_,
	   _O___O,
	   _O___O,
	   ______ },
	 { _O___O,
	   _O___O,
	   _O___O,
	   __O_O_,
	   ___O__,
	   ___O__,
	   ___O__,
	   ______ },
	 { _OOOOO,
	   _____O,
	   ____O_,
	   ___O__,
	   __O___,
	   _O____,
	   _OOOOO,
	   ______ },
	 { __OOO_,
	   __O___,
	   __O___,
	   __O___,
	   __O___,
	   __O___,
	   __OOO_,
	   ______ },
	 { _O___O,
	   __O_O_,
	   _OOOOO,
	   ___O__,
	   _OOOOO,
	   ___O__,
	   ___O__,
	   ______ },
	 { __OOO_,
	   ____O_,
	   ____O_,
	   ____O_,
	   ____O_,
	   ____O_,
	   __OOO_,
	   ______ },
	 { ___O__,
	   __O_O_,
	   _O___O,
	   ______,
	   ______,
	   ______,
	   ______,
	   ______ },
	 { ______,
	   ______,
	   ______,
	   ______,
	   ______,
	   ______,
	   _OOOOO,
	   ______ },
	 { ___OO_,
	   ___O__,
	   ____O_,
	   ______,
	   ______,
	   ______,
	   ______,
	   ______ },
	 { ______,
	   ______,
	   __OOO_,
	   _____O,
	   __OOOO,
	   _O___O,
	   __OOOO,
	   ______ },
	 { _O____,
	   _O____,
	   _OOOO_,
	   _O___O,
	   _O___O,
	   _O___O,
	   _OOOO_,
	   ______ },
	 { ______,
	   ______,
	   __OOOO,
	   _O____,
	   _O____,
	   _O____,
	   __OOOO,
	   ______ },
	 { _____O,
	   _____O,
	   __OOOO,
	   _O___O,
	   _O___O,
	   _O___O,
	   __OOOO,
	   ______ },
	 { ______,
	   ______,
	   __OOO_,
	   _O___O,
	   _OOOOO,
	   _O____,
	   __OOO_,
	   ______ },
	 { ____OO,
	   ___O__,
	   _OOOOO,
	   ___O__,
	   ___O__,
	   ___O__,
	   ___O__,
	   ______ },
	 { ______,
	   ______,
	   __OOOO,
	   _O___O,
	   __OOOO,
	   _____O,
	   __OOO_,
	   ______ },
	 { _O____,
	   _O____,
	   _O_OO_,
	   _OO__O,
	   _O___O,
	   _O___O,
	   _O___O,
	   ______ },
	 { ___O__,
	   ______,
	   __OO__,
	   ___O__,
	   ___O__,
	   ___O__,
	   __OOO_,
	   ______ },
	 { ____O_,
	   ______,
	   ___OO_,
	   ____O_,
	   ____O_,
	   _O__O_,
	   __OO__,
	   ______ },
	 { __O___,
	   __O___,
	   __O__O,
	   __O_O_,
	   __OO__,
	   __O_O_,
	   __O__O,
	   ______ },
	 { __OO__,
	   ___O__,
	   ___O__,
	   ___O__,
	   ___O__,
	   ___O__,
	   __OOO_,
	   ______ },
	 { ______,
	   ______,
	   _OOOO_,
	   _O_O_O,
	   _O_O_O,
	   _O_O_O,
	   _O_O_O,
	   ______ },
	 { ______,
	   ______,
	   _O_OO_,
	   _OO__O,
	   _O___O,
	   _O___O,
	   _O___O,
	   ______ },
	 { ______,
	   ______,
	   __OOO_,
	   _O___O,
	   _O___O,
	   _O___O,
	   __OOO_,
	   ______ },
	 { ______,
	   ______,
	   _OOOO_,
	   _O___O,
	   _OOOO_,
	   _O____,
	   _O____,
	   ______ },
	 { ______,
	   ______,
	   __OOOO,
	   _O___O,
	   __OOOO,
	   _____O,
	   _____O,
	   ______ },
	 { ______,
	   ______,
	   _O_OO_,
	   _OO___,
	   _O____,
	   _O____,
	   _O____,
	   ______ },
	 { ______,
	   ______,
	   __OOOO,
	   _O____,
	   __OOO_,
	   _____O,
	   _OOOO_,
	   ______ },
	 { ___O__,
	   ___O__,
	   _OOOOO,
	   ___O__,
	   ___O__,
	   ___O__,
	   ____OO,
	   ______ },
	 { ______,
	   ______,
	   _O___O,
	   _O___O,
	   _O___O,
	   _O__OO,
	   __OO_O,
	   ______ },
	 { ______,
	   ______,
	   _O___O,
	   _O___O,
	   _O___O,
	   __O_O_,
	   ___O__,
	   ______ },
	 { ______,
	   ______,
	   _O___O,
	   _O___O,
	   _O___O,
	   _O_O_O,
	   __O_O_,
	   ______ },
	 { ______,
	   ______,
	   _O___O,
	   __O_O_,
	   ___O__,
	   __O_O_,
	   _O___O,
	   ______ },
	 { ______,
	   ______,
	   _O___O,
	   _O___O,
	   __OOOO,
	   _____O,
	   __OOO_,
	   ______ },
	 { ______,
	   ______,
	   _OOOOO,
	   ____O_,
	   ___O__,
	   __O___,
	   _OOOOO,
	   ______ },
	 { ___OO_,
	   __O___,
	   __O___,
	   _O____,
	   __O___,
	   __O___,
	   ___OO_,
	   ______ },
	 { ___O__,
	   ___O__,
	   ___O__,
	   ______,
	   ___O__,
	   ___O__,
	   ___O__,
	   ______ },
	 { __OO__,
	   ____O_,
	   ____O_,
	   _____O,
	   ____O_,
	   ____O_,
	   __OO__,
	   ______ },
	 { ______,
	   ___O__,
	   ____O_,
	   _OOOOO,
	   ____O_,
	   ___O__,
	   ______,
	   ______ },
	 { ______,
	   ___O__,
	   __O___,
	   _OOOOO,
	   __O___,
	   ___O__,
	   ______,
	   ______ },
	 { _OOOOO,
	   _OOOOO,
	   _OOOOO,
	   _OOOOO,
	   _OOOOO,
	   _OOOOO,
	   _OOOOO,
	   ______ }
};

#endif
